Bug 140188 - udev opens /etc/localtime 4192 times during boot
Summary: udev opens /etc/localtime 4192 times during boot
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brian Stein
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-20 19:59 UTC by Brian Stein
Modified: 2013-03-01 05:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-31 04:18:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Arjan van de Ven 2004-11-20 19:59:07 UTC
Description of problem:

udev opens /etc/localtime 4192 times during boot

these 4192 times can easily be avoided with the following patch:

--- /sbin/start_udev~   2004-11-20 20:56:56.000000000 +0100
+++ /sbin/start_udev    2004-11-20 20:56:57.000000000 +0100
@@ -24,6 +24,8 @@
  
 sysfs_dir=/sys
  
+TZ=/etc/localtime
+
 [ -d $sysfs_dir/class ] || exit 1
 [ -r /proc/mounts ] || exit 1
 [ -x /sbin/udev ] || exit 1


with this in, we open 4192 less files during boot.

Comment 1 Rahul Sundaram 2005-09-05 08:42:27 UTC
Has this patch been integrated

Comment 2 Warren Togami 2005-09-05 12:13:05 UTC
I don't see anything like this in FC4 or FC5.  Perhaps it was implemented in a
different way?

Comment 3 David Lawrence 2006-04-18 20:25:30 UTC
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.

Comment 4 Matthew Miller 2006-07-10 20:52:57 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 5 John Thacker 2006-10-31 04:18:35 UTC
This patch was definitely integrated for FC6, as viewing /sbin/start_udev will
show.  I'm not sure exactly when it got integrated, but I think it's safe to
close the bug.


Note You need to log in before you can comment on or make changes to this bug.